# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Typedefs | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Quaternion.hpp File Reference

`#include <vlCore/GLSLmath.hpp>`

Go to the source code of this file.

## Classes

class | vl::Quaternion< T_Scalar >
| Implements a Quaternion usually used to represent rotations and orientations. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Typedefs

typedef Quaternion< float > | vl::fquat
typedef Quaternion< double > | vl::dquat
typedef Quaternion< Real > | vl::quat

## Functions

template<typename T_Scalar >
Quaternion< T_Scalar > | vl::operator* (T_Scalar r, const Quaternion< T_Scalar > &q)
template<typename T_Scalar >
Quaternion< T_Scalar > | vl::operator* (const Quaternion< T_Scalar > &q1, const Quaternion< T_Scalar > &q2)
template<typename T_Scalar >
Vector3< T_Scalar > | vl::operator* (const Quaternion< T_Scalar > &q, const Vector3< T_Scalar > &v)
template<typename T_Scalar >
Vector4< T_Scalar > | vl::operator* (const Quaternion< T_Scalar > &q, const Vector4< T_Scalar > &v)

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:27.
Permission is granted to use this page to write and publish articles regarding Visualization Library.